﻿--
-- Script was generated by Devart dbForge Studio 2020 for MySQL, Version 9.0.897.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 19/05/2023 19:07:14
-- Server version: 8.0.30
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS libros;

CREATE DATABASE libros
CHARACTER SET utf8mb4
COLLATE utf8mb4_0900_ai_ci;

--
-- Set default database
--
USE libros;

--
-- Create table `autores`
--
CREATE TABLE autores (
  idAutor int NOT NULL AUTO_INCREMENT,
  nombre varchar(100) DEFAULT NULL,
  poblacion varchar(100) DEFAULT NULL,
  PRIMARY KEY (idAutor)
)
ENGINE = INNODB,
AUTO_INCREMENT = 6,
AVG_ROW_LENGTH = 8192,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_0900_ai_ci;

--
-- Create table `libros`
--
CREATE TABLE libros (
  idLibro int NOT NULL AUTO_INCREMENT,
  nombre varchar(100) DEFAULT NULL,
  idAutor int DEFAULT NULL,
  paginas int DEFAULT NULL,
  PRIMARY KEY (idLibro)
)
ENGINE = INNODB,
AUTO_INCREMENT = 6,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_0900_ai_ci;

--
-- Create foreign key
--
ALTER TABLE libros
ADD CONSTRAINT FK_libros_autores_idAutor FOREIGN KEY (idAutor)
REFERENCES autores (idAutor);

-- 
-- Dumping data for table autores
--
INSERT INTO autores VALUES
(1, 'Autor 1', 'Santander'),
(2, 'Autor 22', 'Laredo'),
(3, 'jorge', 'santander'),
(4, 'ana', 'santander'),
(5, 'pepe', 'reinosa');

-- 
-- Dumping data for table libros
--
INSERT INTO libros VALUES
(1, 'Libro 1', 1, 200),
(2, 'Libro bonito', 2, 100),
(3, 'Libro feo', 3, 200),
(4, 'Libro mediano', 1, 800),
(5, 'Libro mediano', NULL, 800);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;